Page MenuHomePhabricator

RFC: MediaWiki HTTPS policy
Closed, ResolvedPublic

Event Timeline

csteipp created this task.Nov 26 2014, 1:12 AM
csteipp claimed this task.
csteipp raised the priority of this task from to Normal.
csteipp updated the task description. (Show Details)
csteipp changed Security from none to None.
csteipp moved this task from Backlog to In Dev/Progress on the MediaWiki-Core-Team board.
csteipp added a subscriber: csteipp.
Aklapper added a subscriber: Aklapper.
Spage added a subscriber: Spage.EditedMar 4 2015, 8:34 PM
This comment has been deleted.
Spage added a subscriber: hashar.EditedMar 4 2015, 8:38 PM

ArchiCom meeting:

Spage moved this task from Inbox to Backlog on the TechCom-RFC board.Mar 4 2015, 8:41 PM

The current RFC states that Wikipedia Zero partners often disallow HTTPS. I'm wondering how we can address that.

Ignore it. Wikimedia can put a fork in production if they feel it necessary.

But from the Wikimedia side, a good start would be to stop agreeing to allow HTTPS blocking.

hashar removed a subscriber: hashar.Mar 23 2015, 11:53 AM

The current RFC states that Wikipedia Zero partners often disallow HTTPS. I'm wondering how we can address that.

It's hard to imagine that this is going to be a sustainable policy for long, if it even is today. Wikipedia's transition only contributes to that, and as major media sites transition over the next year, it's only going to become a more and more difficult posture for any organization to take.

BBlack added a subscriber: BBlack.Jun 16 2015, 8:01 PM

This seems to be more about MediaWiki software than Wikimedia ops, but note that since Wikimedia has switched fully to HTTPS, there are no longer Wikimedia concerns about this (including e.g Zero).

Dzahn moved this task from Backlog to Big Picture on the HTTPS board.Dec 4 2015, 8:43 PM
Restricted Application added a project: Operations. · View Herald TranscriptFeb 23 2016, 6:13 PM
Restricted Application added a project: Traffic. · View Herald TranscriptJul 27 2016, 8:47 PM
Aklapper removed csteipp as the assignee of this task.Dec 9 2017, 4:43 PM
JBennett closed this task as Resolved.Sep 4 2018, 2:16 PM
sbassett moved this task from Backlog to Done on the Security-Team board.Jun 11 2019, 7:22 PM